org.cpsolver.coursett.constraint

## Class MaxBreaksFlexibleConstraint.MaxBreaksFlexibleConstraintContext

- java.lang.Object
- - org.cpsolver.coursett.constraint.FlexibleConstraint.FlexibleConstraintContext
  - - org.cpsolver.coursett.constraint.MaxBreaksFlexibleConstraint.MaxBreaksFlexibleConstraintContext

- All Implemented Interfaces:
    AssignmentConstraintContext<Lecture,Placement>, AssignmentContext
  Enclosing class:
    MaxBreaksFlexibleConstraint

      public class MaxBreaksFlexibleConstraint.MaxBreaksFlexibleConstraintContext
      extends FlexibleConstraint.FlexibleConstraintContext

- - ### Field Summary

    - ### Fields inherited from class org.cpsolver.coursett.constraint.FlexibleConstraint.FlexibleConstraintContext

      `iLastPreference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxBreaksFlexibleConstraintContext(Assignment<Lecture,Placement> assignment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assigned(Assignment<Lecture,Placement> assignment, Placement value)` Called when `ConstraintWithContext.assigned(Assignment, long, Value)` is called to update the content of the context.
    `boolean` | `isWeak(Placement value)`
    `void` | `weaken(Placement value)`

    - ### Methods inherited from class org.cpsolver.coursett.constraint.FlexibleConstraint.FlexibleConstraintContext

      `getPreference, unassigned, updateCriterion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxBreaksFlexibleConstraintContext

          public MaxBreaksFlexibleConstraintContext(Assignment<Lecture,Placement> assignment)

  - ### Method Detail

    - #### assigned

          public void assigned(Assignment<Lecture,Placement> assignment,
                               Placement value)

      Description copied from interface: `AssignmentConstraintContext`
      Called when `ConstraintWithContext.assigned(Assignment, long, Value)` is called to update the content of the context.
      Specified by:
        `assigned` in interface `AssignmentConstraintContext<Lecture,Placement>`
      Overrides:
        `assigned` in class `FlexibleConstraint.FlexibleConstraintContext`
      Parameters:
        `assignment` - current assignment (with which this context is associated)
        `value` - assigned value

    - #### weaken

          public void weaken(Placement value)

    - #### isWeak

          public boolean isWeak(Placement value)